<?php
function plugin_install()
{
  $tweet_conf = array(
    'size' => 'small',
    'position' => 'toolbar',
    'count' => true,
    'via' => null,
    );
      
  conf_update_param('TweetThis', serialize($tweet_conf));
}

function plugin_activate()
{
  global $conf;
  
  if (@unserialize($conf['TweetThis']) === false)
  {
    $tweet_conf = explode(',', $conf['TweetThis']);
    $tweet_conf = array(
      'size' => 'small',
      'position' => $tweet_conf[1],
      'count' => $tweet_conf[1]=='horizontal' || $tweet_conf[1]=='vertical',
      'via' => null,
      );
      
    conf_update_param('TweetThis', serialize($tweet_conf));
  }
}

function plugin_uninstall()
{
  pwg_query('DELETE FROM '.CONFIG_TABLE.' WHERE param="TweetThis" LIMIT 1;');
}

?>